<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="FactorLevelLink"   package="performa.orm">
                
        <IMPORT value="performa.orm.types.*"/>
        
        <TABLE  name="tl_factor_hdr"    tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="FactorClass"      type="FactorClass"  dbcol="class_code"      attribHelper="EnumeratedAttributeHelper"    />
            <ATTRIB name="Notes"            type="String"       dbcol="factor_hdr_notes"/>
            <ATTRIB name="LeftAnnot"        type="String"       dbcol="left_annot"      length="60"/>
            <ATTRIB name="RightAnnot"       type="String"       dbcol="right_annot"     length="60"/>
            <ATTRIB name="ZScoreWeight"     type="Double"       dbcol="z_score_wght"    />
            <ATTRIB name="ZScoreWeight2"    type="Double"       dbcol="z_score_wght_2"  />

            <SINGLEREFERENCE    name="Level"    type="Level"    dbcol="level_number"    backreferenceName="Factors" />
            <SINGLEREFERENCE    name="Factor"   type="Factor"   dbcol="factor_number"   backreferenceName="Levels" />

        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_factor_hdr.object_id is not null"   orderBy="factor_hdr.object_id"  />
        
    </BUSINESSCLASS>
    
</ROOT>